<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: structural Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classamc__gtx5Gpd__sync__block.html">amc_gtx5Gpd_sync_block</a></li><li class="navelem"><a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html">structural</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">structural Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classamc__gtx5Gpd__sync__block_1_1structural-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a17c59d239a01eca245fe1324d5dff361"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17c59d239a01eca245fe1324d5dff361"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a17c59d239a01eca245fe1324d5dff361">data_sync1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9d93ccc11dd0f2a2bb836e5e33838f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9d93ccc11dd0f2a2bb836e5e33838f8"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#ae9d93ccc11dd0f2a2bb836e5e33838f8">data_sync2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7680efb05ece106a0b96278bcccc83d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7680efb05ece106a0b96278bcccc83d"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#ad7680efb05ece106a0b96278bcccc83d">data_sync3</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3314fd0aeb0564fddb3437b7a64d475d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3314fd0aeb0564fddb3437b7a64d475d"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a3314fd0aeb0564fddb3437b7a64d475d">data_sync4</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86d6f8e1b90b400aae772157b8177eb6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86d6f8e1b90b400aae772157b8177eb6"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a86d6f8e1b90b400aae772157b8177eb6">data_sync5</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Attributes"></a>
Attributes</h2></td></tr>
 <tr class="memitem:a93b4f12aa42fc4240b91906f6967d48d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93b4f12aa42fc4240b91906f6967d48d"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a93b4f12aa42fc4240b91906f6967d48d">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac1ac383aab9d65713de5a12b317013fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1ac383aab9d65713de5a12b317013fa"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#ac1ac383aab9d65713de5a12b317013fa">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg1</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6dcd7b96886157fc33a30adbf3a4e9d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6dcd7b96886157fc33a30adbf3a4e9d"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#aa6dcd7b96886157fc33a30adbf3a4e9d">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg2</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a002a52470f02486865a29d883c2aebb7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a002a52470f02486865a29d883c2aebb7"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a002a52470f02486865a29d883c2aebb7">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg3</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acf43209f756afd324055a1f7770144ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf43209f756afd324055a1f7770144ed"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#acf43209f756afd324055a1f7770144ed">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg4</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5a36225578199c22c99ff7430e71ce93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a36225578199c22c99ff7430e71ce93"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a5a36225578199c22c99ff7430e71ce93">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg5</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad2067808f09623f3924c7a34c0b7c48a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2067808f09623f3924c7a34c0b7c48a"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#ad2067808f09623f3924c7a34c0b7c48a">ASYNC_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg6</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; true &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa00cc20a0a0284e4bbef2938ba01b2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa00cc20a0a0284e4bbef2938ba01b2b"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#afa00cc20a0a0284e4bbef2938ba01b2b">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">string</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab88c62c32ec27dead7f068d6ac9c9a97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab88c62c32ec27dead7f068d6ac9c9a97"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#ab88c62c32ec27dead7f068d6ac9c9a97">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg1</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a227d509d2c8a746f81dd0e0394af1686"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a227d509d2c8a746f81dd0e0394af1686"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a227d509d2c8a746f81dd0e0394af1686">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg2</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adbd7334bcf0aabe4070be87c2f48433c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbd7334bcf0aabe4070be87c2f48433c"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#adbd7334bcf0aabe4070be87c2f48433c">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg3</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a982d74b9450116d706cfe3fa21d85ed7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a982d74b9450116d706cfe3fa21d85ed7"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a982d74b9450116d706cfe3fa21d85ed7">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg4</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a204ab7372baeb269ab81c62b4518928a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a204ab7372baeb269ab81c62b4518928a"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#a204ab7372baeb269ab81c62b4518928a">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg5</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb6ef601b3e3442bd04d4f1517f97d98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb6ef601b3e3442bd04d4f1517f97d98"></a>
<a class="el" href="classamc__gtx5Gpd__sync__block_1_1structural.html#acb6ef601b3e3442bd04d4f1517f97d98">shreg_extract</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">data_sync_reg6</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="vhdlkeyword">label</span><span class="vhdlchar"> </span><span class="vhdlkeyword">is</span><span class="vhdlchar"> </span><span class="keyword">&quot; no &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="amc__gtx5gpd__sync__block_8vhd_source.html#l00097">97</a> of file <a class="el" href="amc__gtx5gpd__sync__block_8vhd_source.html">amc_gtx5gpd_sync_block.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/AMC_if/amc_gtx5Gpd/<a class="el" href="amc__gtx5gpd__sync__block_8vhd_source.html">amc_gtx5gpd_sync_block.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:42 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
